Solved

VMware Cloud Director v10.4 Support


Userlevel 7
Badge +17

Last month VMware released VCD 10.4 which is an exciting release for a lot of VMware Cloud Providers. But this time they also deprecated a lot of older API versions including the API version that is being used by Commvault. We currently run FR26 which uses API version 31 to communicate with VCD so we cannot upgrade to VCD 10.4 and it's also not listed as part of the supported version in the FR28/2022e documentation.

I heard rumours support will be added in a FR28 (2022e) maintenance release somewhere in the near future, but I hope someone can be more clear on when we can expect VCD 10.4 to be supported. 

 

From the release notes:

  • VMware Cloud Director API versions 31.0 and 32.0 are not supported
  • VMware Cloud Director API versions 33.0, 34.0, 35.0 and 35.2 are deprecated and will be unsupported starting with the next major VMware Cloud Director release.

https://docs.vmware.com/en/VMware-Cloud-Director/10.4/rn/vmware-cloud-director-104-release-notes/index.html

 

 

icon

Best answer by Onno van den Berg 9 August 2022, 11:51

View original

31 replies

Userlevel 7
Badge +23

I’ll find out!

Userlevel 7
Badge +23

@Onno van den Berg , heard back from dev already.

They advised you request a CMR via an incident to get this in the pipeline.

Let me know once you have it done and I’ll share it with them.

Userlevel 7
Badge +17

Just tried to open a CMR but I'm receiving an error while submitting it.

I'll try again later today! 

Userlevel 7
Badge +17

I'm stil unable to open a CMR myself via the cloud.commvault.com portal so I openend a TR requesting to look into the issue and asked if they can open the CMR for me.

Userlevel 7
Badge +23

While you have the ticket, have them investigate why the cloud form failed 🤓

Userlevel 7
Badge +17

And we finally have a CMR → 364050. @Mike Struening Can you bring it to the attention of the DEV team of PM? 

@d3nz / @Jos Meijer / @MMoret might be handy to upvote this CMR so the priority is raised. 

Userlevel 7
Badge +23

Will do!

Userlevel 7
Badge +16

Upvote done 👍😀

Userlevel 7
Badge +17

For the ones running VCD, I also raised CMR 361714 to introduce volume level recovery. Currently you can only perform full instance or guest/files recoveries. I think you might have the same whish, so please make sure to send a request to your account manager to have your companies name also being attached to this CMR. 

Userlevel 7
Badge +17

Received an update that they are working on it as we speak. For the ones also running the green competitor, they just released an update see KB4352!

Badge +2

We asked our salesteam in Denmark about support for VCD 10.4. The ETA for this according to them was summer 2023… hopefully that’s not true.

Userlevel 7
Badge +17

Last update I received was that they are working on it for the next feature release and that they would work on a backport afterwards, but nothing official. I was informed by our SE that Commvault follows the same policy to release support within 90 days as the competition. So I hope they will deliver support before the end of this month for the current version. 

Badge +2

I asked for an update of the CMR and the status for that is “fixed” I then asked then it will be released and they just told me that the plan for the support is not until FR32…

Userlevel 7
Badge +17

I'm trying to get my hands on more accurate information. Right now Commvault doesn't comply to their internal policies so I assume someone will pick it up. It seems some people were confused and thought they delivered support for VCD 10.4 with the new plug-in that was delivered, but this is just an assumption. One thing I do know is that it has become silent……

Anyway I can't accept a FR32 timeframe, because by the time that version is ready for production environments we are looking at september 2023…… 

So please bare with me as I'm trying to get my hands on more accurate information but please do talk to your account team!!

Userlevel 7
Badge +17

Received a disappointing update that it is currently planned to become available after the FR30 release…. This means all MSP and/or cloud service providers using VCD will have to wait till at least January before they can make the jump to VCD 10.4.x while many are working on backend NSX-V → NSX-T migrations who really want to use the latest VCD version to be come to deliver load balancing functionality to customers. Also VMware is planning to deliver VCD 10.4.1 before the end of November….
 

Badge +2

I noticed this in the 01 November hotfix release list:

 

VM discovery may fail when vmgroup rule is set to organization level for vCloud 10.4

2902

 

Could this be the one we all are waiting for?

Userlevel 7
Badge +23

@Kim Andre I don’t believe so.  the CMR @Onno van den Berg shared has been converted to CCR 363992 (Customer Commitment Request).

Still seeing the timeline Onno shared above on the forms.

Userlevel 7
Badge +17

@Kim Andre I think this is a typo, I'm still trying hard to get VCD 10.4 support but until now I have not heard anything concrete. I already shared that we cannot wait until the next feature release hits GA status which is planned for February 15. Because we will not jump ship immediately once it becomes available. I hope to receive more details tomorrow.

B.t.w. did you reach out to your account team with the request to be added to the given CMR 364050/ CCR 363992.

Userlevel 1
Badge +4

@Kim Andre I think this is a typo, I'm still trying hard to get VCD 10.4 support but until now I have not heard anything concrete. I already shared that we cannot wait until the next feature release hits GA status which is planned for February 15. Because we will not jump ship immediately once it becomes available. I hope to receive more details tomorrow.

B.t.w. did you reach out to your account team with the request to be added to the given CMR 364050/ CCR 363992.

Hey, we have the information from Commvault with FR28 (2022e) the api version 36 is supported, And yes we already tested it with vCLoud 10.3.3 after the the upgrade in our Dev Environment to  FR28 (2022e) and can see API 36 is now used - and that for me is the important point to use vCloud Director 10.4.

Tomorrow I can tell you if it is working with 10.4 we update today to 10.4 in our Dev Environment.

So I think it will work.

BR

Marcel

 

Userlevel 7
Badge +17

@Kim Andre I think this is a typo, I'm still trying hard to get VCD 10.4 support but until now I have not heard anything concrete. I already shared that we cannot wait until the next feature release hits GA status which is planned for February 15. Because we will not jump ship immediately once it becomes available. I hope to receive more details tomorrow.

B.t.w. did you reach out to your account team with the request to be added to the given CMR 364050/ CCR 363992.

Hey, we have the information from Commvault with FR28 (2022e) the api version 36 is supported, And yes we already tested it with vCLoud 10.3.3 after the the upgrade in our Dev Environment to  FR28 (2022e) and can see API 36 is now used - and that for me is the important point to use vCloud Director 10.4.

Tomorrow I can tell you if it is working with 10.4 we update today to 10.4 in our Dev Environment.

So I think it will work.

BR

Marcel

 

Mmmm interesting! I have not looked at it myself anymore after opening the CMR. Also I have not received any information from product management and/or development that it has been addressed. So I'm really curious to hear if it works! I would be able to test it myself as well, but that requires more time because I have VCD 10.4 running in an isolated test environment. 

Badge +2

@Onno van den Berg  I asked my manager since he was the one who should send the mail but he has not done that. So i was going to do it now. But then  @Marcel Geisen  I saw your answer just now and i became very curious. After i upgraded the vsa’s to FR28 (2022e) i was able to browse vCloud (10.4) one again and i managed to run a successful backup.

Still i see that the documentation only says support up to 10.3 but hopefully it will be updated soon if commvault can confirm that the problem is solved :)
 

Userlevel 7
Badge +17

Mmmmmm this is strange!!!! I'm going to send out some mail messages to get clarification because I'm puzzled. 

Userlevel 1
Badge +4

So we updated now to vCloud 10.4 Commvault is 11.28.32 and we tested:

  • Full VM Backup
  • Full VM REstore In & Out of Place
  • File Level Restore Linux & Windows

All works fine and you can see API version 36 is used.

Here the answer in our official case regarding support of API Version 36 for vCloud Director:

We are using API version 36.0 by default from the latest release of FR 28. It will be present in the next maintenance pack.
VMware Cloud Director: Upgrade vcloud API to version 36 because the current API version is deprecated with the 10.4 version

So I think until the documentation is updated to support vCloud 10.4 will take some internal testing, but I hope somebody from Commvault side can clarify this for all of us.

Thx & BR

Marcel

Userlevel 7
Badge +17

Awesome work @Marcel Geisen ! Thanks for the validation work being done! I'm still puzzled and I suspect we are witnessing a miscommunication here between the development team responsible for VCD and product management. 

Userlevel 7
Badge +17

Please note that although they bumped the API version being used it still means there is no official support. They found some minor issues who are being fixed and I hope it will be supported officially by the end of December. So in case you can't wait and really want to upgrade to 10.4 than you might encounter issues although @Marcel Geisen already proofed that from a functional perspective things could work well. 

Reply